All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
rows_dot_self.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T , int R, int C>
Eigen::Matrix< T, R, 1 > | stan::math::rows_dot_self (const Eigen::Matrix< T, R, C > &x)
| Returns the dot product of each row of a matrix with itself. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.